' OS Info
'     v0.1
'   by clarence
' mailto: mrlaguda@hotmail.com

' tested on Serious Samurize 0.93d
'
' if you get an error while reading a function
' that means that that function is not available
' for you to use. so don't use it.
'
'
' there is nothing to edit on this script. place this
' script in your Samurize script folder and load the
' functions into your config.


Function LastBoot()
Set DateTime = CreateObject("WbemScripting.SWbemDateTime")
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    DateTime.Value = obj.LastBootUpTime
    LastBoot = DateTime.GetVarDate
Next
End Function

Function SystemStatus()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    SystemStatus = obj.Status 
     Next
End Function

Function Build()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    Build = obj.BuildNumber
Next
End Function

Function BuildKind()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    BuildKind = obj.BuildType
     Next
End Function

Function OSInfo()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    OSInfo = obj.Caption
 Next
End Function

Function OSVersion()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    OSVersion = obj.Version
 Next
End Function

Function OSDescription()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    OSDescription = obj.Description 
     Next
End Function

Function BootDisk()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    BootDisk = obj.BootDevice
     Next
End Function

Function Country()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    Country = obj.CountryCode
Next
End Function

Function DateInstalled()
Set DateTime = CreateObject("WbemScripting.SWbemDateTime")
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    DateTime.Value = obj.InstallDate
    DateInstalled = DateTime.GetVarDate
Next
End Function

Function OptimisedFor()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
     If obj.LargeSystemCache = 0 Then
     OptimisedFor = "Applications"
     Else
     OptimisedFor = "System"
     End If
Next
End Function

Function RegUser()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    RegUser = obj.RegisteredUser
 Next
End Function

Function Serial()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    Serial = obj.SerialNumber
 Next
End Function

Function SPName()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    SPName = obj.CSDVersion
     Next
End Function

Function SPMajorVersion()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    SPMajorVersion = obj.ServicePackMajorVersion
 Next
End Function

Function SPMinorVersion()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    SPMinorVersion = obj.ServicePackMinorVersion
 Next
End Function

Function ProdType()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    Select Case obj.ProductType
    Case 1
    ProdType = "Work Station"
    Case 2
    ProdType = "Domain Controller"
    Case 3
    ProdType = "Server"
    Case Else
    ProdType = "Unkown"
End Select
 Next
End Function

Function PrimaryOS()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    PrimaryOS = obj.Primary
 Next
End Function

Function PlusPackID()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    PlusPackID = obj.PlusProductID
 Next
End Function

Function PlusPackVersion()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    PlusPackVersion = obj.PlusVersionNumber
 Next
End Function

Function Org()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    Org = obj.Organization
 Next
End Function

Function UserNumbers()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    UserNumbers = obj.NumberOfUsers
 Next
End Function

Function MaxLicensedUsers()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    MaxLicensedUsers = obj.NumberOfLicensedUsers 
     Next
End Function

Function TopAppBoost()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    Select Case obj.ForegroundApplicationBoost 
    Case 0
    TopAppBoost = "None"
    Case 1
    TopAppBoost = "Min"
    Case 2
    TopAppBoost = "Max"
    Case Else
    TopAppBoost = "Unkown"
 End Select 
     Next
End Function

Function EncryptionType()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    EncryptionType = obj.EncryptionLevel 
     Next
End Function

Function DistributedOS()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    DistributedOS = obj.Distributed
     Next
End Function

Function DebuggingOS()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    DebuggingOS = obj.Debug
     Next
End Function

Function GMTOffset()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    GMTOffset = obj.CurrentTimeZone
     Next
End Function

Function Scope()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    Scope = obj.CSName
     Next
End Function

Function GMTOffset()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
    GMTOffset = obj.CurrentTimeZone
     Next
End Function

'Function SuiteType()
'Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
'For Each obj In OSobjs
'SuiteType = obj.SuiteMask
'    Select Case obj.SuiteMask
'    Case 1
'    SuiteType = "Small Business"
'    Case 2
'    SuiteType = "Enterprise"
'    Case 4
'    SuiteType = "Back Office"
'    Case 8
'    SuiteType = "Communications"
'    Case 16
'    SuiteType = "Terminal"
'    Case 32
'    SuiteType = "Small Business Restricted"
'    Case 64
'    SuiteType = "Embedded NT"
'    Case 128
'    SuiteType = "Data Center"
'    Case 256
'    SuiteType = "Single User"
'    Case 512
'    SuiteType = "Personal"
'    Case 1024
'    SuiteType = "Blade"
    'Case Else
    'SuiteType = "Unknown"
' End Select    
' Next
'End Function